org.apache.lucene.index

## Class AssertingLeafReader.AssertingSortedDocValues

- java.lang.Object
- - org.apache.lucene.index.BinaryDocValues
  - - org.apache.lucene.index.SortedDocValues
    - - org.apache.lucene.index.AssertingLeafReader.AssertingSortedDocValues

- Enclosing class:
    AssertingLeafReader

      public static class AssertingLeafReader.AssertingSortedDocValues
      extends SortedDocValues

  Wraps a SortedDocValues but with additional asserts

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssertingLeafReader.AssertingSortedDocValues(SortedDocValues in, int maxDoc)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BytesRef` | `get(int docID)`
    `int` | `getOrd(int docID)`
    `int` | `getValueCount()`
    `BytesRef` | `lookupOrd(int ord)`
    `int` | `lookupTerm(BytesRef key)`

    - ### Methods inherited from class org.apache.lucene.index.SortedDocValues

      `termsEnum`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AssertingLeafReader.AssertingSortedDocValues

          public AssertingLeafReader.AssertingSortedDocValues(SortedDocValues in,
                                                      int maxDoc)

  - ### Method Detail

    - #### getOrd

          public int getOrd(int docID)

      Specified by:
        `getOrd` in class `SortedDocValues`

    - #### lookupOrd

          public BytesRef lookupOrd(int ord)

      Specified by:
        `lookupOrd` in class `SortedDocValues`

    - #### getValueCount

          public int getValueCount()

      Specified by:
        `getValueCount` in class `SortedDocValues`

    - #### get

          public BytesRef get(int docID)

      Overrides:
        `get` in class `SortedDocValues`

    - #### lookupTerm

          public int lookupTerm(BytesRef key)

      Overrides:
        `lookupTerm` in class `SortedDocValues`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.